<!DOCTYPE html>
<html>
<head>
	<title></title>
</head>
<style type="text/css">
	body{
		margin:0;
		height: 100vh;
		width: 100vw;
		display: flex;
		position: relative;
		justify-content: center;
		align-items: center;
	}
	.side{
		height: 100%;
		width: 5vw;
		/*background:black;*/
		width: .1vw;
		background: transparent;
		justify-content: center;
		align-items: center;
		display: flex;
		transition: .4s;
		position: absolute;
		left:0;
	}
	.side:hover{
		background:black;
		width:5vw;
	}
	.side>.bar{
		opacity: 0;
	}
	.side:hover>.bar{
		opacity: 1;
	}
	.bar{
		z-index: 5;
		cursor: pointer;
		position: absolute;	
	}
	.bar>span{
		height: 1px;
		width: 30px;
		background-color: white;
		border:1px solid white;
		display: flex;
		margin-top: 5px;
		transition: .3s
	}
	.content{
		display: flex;
		justify-content: center;
		align-items: center;
		flex:1;
}
.nav-items{
	color:red;
	left:0;
	width: 30px;
	height:5px;
	position: relative;
}
.nav-item{
	transition: .3s;
	position: absolute;
	left:0;
	margin:0;
	top:0;
	opacity: 0;
}
.nav-item:nth-child(1){
	transition-delay: 400ms;
}
.nav-item:nth-child(2){
	transition-delay: 300ms;

}
.nav-item:nth-child(3){
	transition-delay: 200ms;
}

.nav-item:nth-child(4){
	transition-delay: 100ms;

}
.nav-item:nth-child(5){
	transition-delay: 0ms;

}
.open>.nav-items>.nav-item{
	opacity: 1
}
.open>.nav-items>.nav-item:nth-child(1){
	margin-left:6.5vw;
	top:-30vh;
	transition-delay: 100ms;

}
.open>.nav-items>.nav-item:nth-child(2){
	margin-left:15vw;
	top:-15vh;
	transition-delay: 300ms;

}
.open>.nav-items>.nav-item:nth-child(3){
	margin-left:20vw;
	transition-delay: 500ms;


}
.open>.nav-items>.nav-item:nth-child(4){
	margin-left:15vw;
	top:15vh;
	transition-delay: 700ms;

}
.open>.nav-items>.nav-item:nth-child(5){
	margin-left:6.5vw;
	top:30vh;
	transition-delay: 900ms;
}
</style>
<body>
	<div class="side" id="side" onmouseout="gayabhuta()" >
		<div class="bar" onmouseover= "khuljaasimsim()">
			<span></span>
			<span></span>
			<span></span>
		</div>
		<div class="nav-items">
			<div class="nav-item">Home</div>
			<div class="nav-item">About</div>
			<div class="nav-item">Services</div>
			<div class="nav-item">Contact</div>
			<div class="nav-item">Products</div>
		</div>		
	</div>
	<div class="content">This is content reeee.</div>
</body>
<script type="text/javascript">
	function khuljaasimsim(){
		document.getElementById('side').classList.toggle('open');
	}
	function gayabhuta(){
		document.getElementById('side').classList.remove('open');
	}
</script>
</html>